Bug Hunting Session
Bug 103950 - Undo does not revert bundled font size changes for table cells
Summary: Undo does not revert bundled font size changes for table cells
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
4.3.7.2 release
Hardware: All All
: medium normal
Assignee: Noel Grandin
URL:
Whiteboard: target:5.3.0 target:5.2.4
Keywords:
Depends on:
Blocks:
 
Reported: 2016-11-16 08:27 UTC by Noel Grandin
Modified: 2017-01-13 12:35 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Noel Grandin 2016-11-16 08:27:48 UTC
issue: create a table on an empty slide and enter text in call cells (headers and regular cells). Mark all cells and increase font size by one unit. The text of all cells is changed altogether. Now perform an Undo. Only the text of the last cell is reverted. To revert all changes, undo must be performed as many times as cells are affected.

expected result: Text changes performed with a single action on multiple cell can be reverted with a single action too.
Comment 1 Commit Notification 2016-11-17 13:18:10 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=90646b4966c73637ddf592acd05b3091fb3fa41f

tdf#103950 Undo does not revert bundled font size changes for table cells

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 2 Commit Notification 2016-11-21 08:55:59 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "libreoffice-5-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=be2de90a0f32fb6054691cdba4ef533f236a1072&h=libreoffice-5-2

tdf#103950 Undo does not revert bundled font size changes for table cells

It will be available in 5.2.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Xisco Faulí 2017-01-13 12:34:25 UTC
Hello,
Is this bug fixed?
If so, could you please close it as RESOLVED FIXED?